using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Drawing.Drawing2D;
using System.Collections;
using System.Globalization;

using Syncfusion.Windows.Forms.Chart;

namespace I29646
{
    public partial class Form1 : Form
    {
        // Set start and End dates
        DateTime start = new DateTime(2006, 4, 1);
        DateTime end = new DateTime(2006, 7, 1);

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            InitChartAppearance();
            InitializeChartData();
            this.chartControl1.EnableXZooming = true;
            this.chartControl1.ZoomFactorX = 0.1;
            this.chartControl1.PrimaryXAxis.SmartDateZoom = true;
        }
		    protected void InitializeChartData()
		    {
			      // fill the series with random date data
			      Random random = new Random();
            this.chartControl1.PrimaryXAxis.ValueType = ChartValueType.DateTime;
            this.chartControl1.ChartArea.PrimaryXAxis.RangeType = ChartAxisRangeType.Set;
            this.chartControl1.ChartArea.PrimaryXAxis.DateTimeRange = new ChartDateTimeRange(start, end, 1, ChartDateTimeIntervalType.Days);
            this.chartControl1.PrimaryXAxis.DateTimeFormat = "d-MMM-yyyy";
			      ChartSeries series1 = this.chartControl1.Model.NewSeries(" Date Sample",ChartSeriesType.Line);
			      series1.Text = series1.Name;

            for (int i = 0; i < 91; i++)
            {
                series1.Points.Add(start.AddDays(i), random.Next(300));
            }

			      this.chartControl1.Series.Add(series1);

            this.chartControl1.Series[0].Style.Border.Color = Color.FromArgb(100, Color.BlueViolet);
            this.chartControl1.Series[0].Style.Border.DashStyle = DashStyle.Solid;
		    }

        protected void InitChartAppearance()
        {
          this.chartControl1.PrimaryXAxis.LabelRotate = true;
          this.chartControl1.PrimaryXAxis.LabelRotateAngle = 90;

            this.chartControl1.PrimaryXAxis.DrawGrid = false;
            this.chartControl1.ChartArea.ChartAreaMargins.Right = 150;
            this.chartControl1.ChartArea.ChartAreaMargins.Bottom = 30;
            this.chartControl1.LegendPosition = ChartDock.Top;
            this.chartControl1.Dock = DockStyle.Fill;
            this.chartControl1.HidePartialLabels = false;

        }
    }
}